Index: /code/branches/cpp11_v2/src/modules/pong/Pong.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pong/Pong.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pong/Pong.cc	(revision 10765)
@@ -103,5 +103,5 @@
     void Pong::cleanup()
     {
-        if (this->ball_ != NULL) // Destroy the ball, if present.
+        if (this->ball_ != nullptr) // Destroy the ball, if present.
         {
             this->ball_->destroy();
@@ -112,5 +112,5 @@
         for (size_t i = 0; i < 2; ++i)
         {
-            if (this->bat_[0] != NULL)
+            if (this->bat_[0] != nullptr)
             {
                 this->bat_[0]->destroy();
@@ -127,7 +127,7 @@
     void Pong::start()
     {
-        if (this->center_ != NULL) // There needs to be a PongCenterpoint, i.e. the area the game takes place.
-        {
-            if (this->ball_ == NULL) // If there is no ball, create a new ball.
+        if (this->center_ != nullptr) // There needs to be a PongCenterpoint, i.e. the area the game takes place.
+        {
+            if (this->ball_ == nullptr) // If there is no ball, create a new ball.
             {
                 this->ball_ = new PongBall(this->center_->getContext());
@@ -147,5 +147,5 @@
             for (size_t i = 0; i < 2; ++i)
             {
-                if (this->bat_[i] == NULL)
+                if (this->bat_[i] == nullptr)
                 {
                     this->bat_[i] = new PongBat(this->center_->getContext());
@@ -231,5 +231,5 @@
 
         // If the first (left) bat has no player.
-        if (this->bat_[0]->getPlayer() == NULL)
+        if (this->bat_[0]->getPlayer() == nullptr)
         {
             player->startControl(this->bat_[0]);
@@ -237,5 +237,5 @@
         }
         // If the second (right) bat has no player.
-        else if (this->bat_[1]->getPlayer() == NULL)
+        else if (this->bat_[1]->getPlayer() == nullptr)
         {
             player->startControl(this->bat_[1]);
@@ -247,5 +247,5 @@
 
         // If the player is an AI, it receives a pointer to the ball.
-        if (player->getController() != NULL && player->getController()->isA(Class(PongAI)))
+        if (player->getController() != nullptr && player->getController()->isA(Class(PongAI)))
         {
             PongAI* ai = orxonox_cast<PongAI*>(player->getController());
@@ -262,5 +262,5 @@
         Deathmatch::playerScored(player, score);
 
-        if (this->center_ != NULL) // If there is a centerpoint.
+        if (this->center_ != nullptr) // If there is a centerpoint.
         {
             // Fire an event for the player that has scored, to be able to react to it in the level, e.g. by displaying fireworks.
@@ -271,10 +271,10 @@
 
             // Also announce, that the player has scored.
-            if (player != NULL)
+            if (player != nullptr)
                 this->gtinfo_->sendAnnounceMessage(player->getName() + " scored");
         }
 
         // If there is a ball present, reset its position, velocity and acceleration.
-        if (this->ball_ != NULL)
+        if (this->ball_ != nullptr)
         {
             this->ball_->setPosition(Vector3::ZERO);
@@ -285,5 +285,5 @@
 
         // If there are bats reset them to the middle position.
-        if (this->bat_[0] != NULL && this->bat_[1] != NULL)
+        if (this->bat_[0] != nullptr && this->bat_[1] != nullptr)
         {
             this->bat_[0]->setPosition(-this->center_->getFieldDimension().x / 2, 0, 0);
@@ -292,5 +292,5 @@
 
         // If a player gets enough points, he won the game -> end of game
-        PlayerInfo* winningPlayer = NULL;
+        PlayerInfo* winningPlayer = nullptr;
         if (this->getLeftPlayer() && this->getScore(this->getLeftPlayer()) >= scoreLimit_)
             winningPlayer = this->getLeftPlayer();
@@ -314,5 +314,5 @@
     void Pong::startBall()
     {
-        if (this->ball_ != NULL && this->center_ != NULL)
+        if (this->ball_ != nullptr && this->center_ != nullptr)
             this->ball_->setSpeed(this->center_->getBallSpeed());
     }
@@ -322,9 +322,9 @@
         Get the left player.
     @return
-        Returns a pointer to the player playing on the left. If there is no left player, NULL is returned.
+        Returns a pointer to the player playing on the left. If there is no left player, nullptr is returned.
     */
     PlayerInfo* Pong::getLeftPlayer() const
     {
-        if (this->bat_ != NULL && this->bat_[0] != NULL)
+        if (this->bat_ != nullptr && this->bat_[0] != nullptr)
             return this->bat_[0]->getPlayer();
         else
@@ -336,9 +336,9 @@
         Get the right player.
     @return
-        Returns a pointer to the player playing on the right. If there is no right player, NULL is returned.
+        Returns a pointer to the player playing on the right. If there is no right player, nullptr is returned.
     */
     PlayerInfo* Pong::getRightPlayer() const
     {
-        if (this->bat_ != NULL && this->bat_[1] != NULL)
+        if (this->bat_ != nullptr && this->bat_[1] != nullptr)
             return this->bat_[1]->getPlayer();
         else
Index: /code/branches/cpp11_v2/src/modules/pong/PongAI.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pong/PongAI.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pong/PongAI.cc	(revision 10765)
@@ -101,5 +101,5 @@
     {
         // If either the ball, or the controllable entity (i.e. the bat) don't exist (or aren't set).
-        if (this->ball_  == NULL || this->getControllableEntity() == NULL)
+        if (this->ball_  == nullptr || this->getControllableEntity() == nullptr)
             return;
 
Index: /code/branches/cpp11_v2/src/modules/pong/PongBall.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pong/PongBall.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pong/PongBall.cc	(revision 10765)
@@ -163,8 +163,8 @@
             float distance = 0;
 
-            if (this->bat_ != NULL) // If there are bats.
+            if (this->bat_ != nullptr) // If there are bats.
             {
                 // If the right boundary has been crossed.
-                if (position.x > this->fieldWidth_ / 2 && this->bat_[1] != NULL)
+                if (position.x > this->fieldWidth_ / 2 && this->bat_[1] != nullptr)
                 {
                     // Calculate the distance (in z-direction) between the ball and the center of the bat, weighted by half of the effective length of the bat (with additional 10%)
@@ -195,5 +195,5 @@
                 }
                 // If the left boundary has been crossed.
-                else if (position.x < -this->fieldWidth_ / 2 && this->bat_[0] != NULL)
+                else if (position.x < -this->fieldWidth_ / 2 && this->bat_[0] != nullptr)
                 {
                     // Calculate the distance (in z-direction) between the ball and the center of the bat, weighted by half of the effective length of the bat (with additional 10%)
@@ -285,5 +285,5 @@
     {
         // Make space for the bats, if they don't exist, yet.
-        if (this->bat_ == NULL)
+        if (this->bat_ == nullptr)
         {
             this->bat_ = new WeakPtr<PongBat>[2];
Index: /code/branches/cpp11_v2/src/modules/pong/PongCenterpoint.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pong/PongCenterpoint.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pong/PongCenterpoint.cc	(revision 10765)
@@ -84,5 +84,5 @@
     void PongCenterpoint::checkGametype()
     {
-        if (this->getGametype() != NULL && this->getGametype()->isA(Class(Pong)))
+        if (this->getGametype() != nullptr && this->getGametype()->isA(Class(Pong)))
         {
             Pong* pongGametype = orxonox_cast<Pong*>(this->getGametype());
Index: /code/branches/cpp11_v2/src/modules/pong/PongScore.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pong/PongScore.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/pong/PongScore.cc	(revision 10765)
@@ -97,5 +97,5 @@
 
         // If the owner is set. The owner being a Pong game.
-        if (this->owner_ != NULL)
+        if (this->owner_ != nullptr)
         {
             if (!this->owner_->hasEnded())
@@ -113,10 +113,10 @@
 
             // Save the name and score of each player as a string.
-            if (player1_ != NULL)
+            if (player1_ != nullptr)
             {
                 name1 = player1_->getName();
                 score1 = multi_cast<std::string>(this->owner_->getScore(player1_));
             }
-            if (player2_ != NULL)
+            if (player2_ != nullptr)
             {
                 name2 = player2_->getName();
@@ -128,5 +128,5 @@
             if (this->bShowLeftPlayer_)
             {
-                if (this->bShowName_ && this->bShowScore_ && player1_ != NULL)
+                if (this->bShowName_ && this->bShowScore_ && player1_ != nullptr)
                     output1 = name1 + " - " + score1;
                 else if (this->bShowScore_)
@@ -139,5 +139,5 @@
             if (this->bShowRightPlayer_)
             {
-                if (this->bShowName_ && this->bShowScore_ && player2_ != NULL)
+                if (this->bShowName_ && this->bShowScore_ && player2_ != nullptr)
                     output2 = score2 + " - " + name2;
                 else if (this->bShowScore_)
@@ -163,5 +163,5 @@
     @brief
         Is called when the owner changes.
-        Sets the owner to NULL, if it is not a pointer to a Pong game.
+        Sets the owner to nullptr, if it is not a pointer to a Pong game.
     */
     void PongScore::changedOwner()
@@ -169,5 +169,5 @@
         SUPER(PongScore, changedOwner);
 
-        if (this->getOwner() != NULL && this->getOwner()->getGametype())
+        if (this->getOwner() != nullptr && this->getOwner()->getGametype())
             this->owner_ = orxonox_cast<Pong*>(this->getOwner()->getGametype());
         else
Index: /code/branches/cpp11_v2/src/modules/portals/PortalEndPoint.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/portals/PortalEndPoint.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/portals/PortalEndPoint.cc	(revision 10765)
@@ -48,5 +48,5 @@
     std::map<unsigned int, PortalEndPoint *> PortalEndPoint::idMap_s;
 
-    PortalEndPoint::PortalEndPoint(Context* context) : StaticEntity(context), RadarViewable(this, static_cast<WorldEntity*>(this)), id_(0), trigger_(NULL), reenterDelay_(0)
+    PortalEndPoint::PortalEndPoint(Context* context) : StaticEntity(context), RadarViewable(this, static_cast<WorldEntity*>(this)), id_(0), trigger_(nullptr), reenterDelay_(0)
     {
         RegisterObject(PortalEndPoint);
@@ -70,5 +70,5 @@
     PortalEndPoint::~PortalEndPoint()
     {
-        if(this->isInitialized() && this->trigger_ != NULL)
+        if(this->isInitialized() && this->trigger_ != nullptr)
             delete this->trigger_;
     }
Index: /code/branches/cpp11_v2/src/modules/questsystem/GlobalQuest.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/GlobalQuest.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/questsystem/GlobalQuest.cc	(revision 10765)
@@ -138,5 +138,5 @@
     bool GlobalQuest::isStartable(const PlayerInfo* player) const
     {
-        if(!(this->getParentQuest() == NULL || this->getParentQuest()->isActive(player)))
+        if(!(this->getParentQuest() == nullptr || this->getParentQuest()->isActive(player)))
             return false;
 
@@ -198,5 +198,5 @@
         The status to be set.
     @return
-        Returns false if player is NULL.
+        Returns false if player is nullptr.
     */
     bool GlobalQuest::setStatus(PlayerInfo* player, const QuestStatus::Value & status)
@@ -249,5 +249,5 @@
             i--;
         }
-        return NULL;
+        return nullptr;
     }
 
Index: /code/branches/cpp11_v2/src/modules/questsystem/LocalQuest.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/LocalQuest.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/questsystem/LocalQuest.cc	(revision 10765)
@@ -128,5 +128,5 @@
     bool LocalQuest::isStartable(const PlayerInfo* player) const
     {
-        if(!(this->getParentQuest() == NULL || this->getParentQuest()->isActive(player)))
+        if(!(this->getParentQuest() == nullptr || this->getParentQuest()->isActive(player)))
             return false;
 
@@ -188,5 +188,5 @@
         The status to be set.
     @return
-        Returns false if player is NULL.
+        Returns false if player is nullptr.
     */
     bool LocalQuest::setStatus(PlayerInfo* player, const QuestStatus::Value & status)
Index: /code/branches/cpp11_v2/src/modules/questsystem/Quest.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/Quest.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/questsystem/Quest.cc	(revision 10765)
@@ -55,5 +55,5 @@
         RegisterObject(Quest);
 
-        this->parentQuest_ = NULL;
+        this->parentQuest_ = nullptr;
     }
 
@@ -183,5 +183,5 @@
         The index.
     @return
-        Returns a pointer to the sub-quest at the given index. NULL if there is no element at the given index.
+        Returns a pointer to the sub-quest at the given index. nullptr if there is no element at the given index.
     */
     const Quest* Quest::getSubQuest(unsigned int index) const
@@ -198,5 +198,5 @@
         }
 
-        return NULL; // If the index is greater than the number of elements in the list.
+        return nullptr; // If the index is greater than the number of elements in the list.
     }
 
@@ -207,5 +207,5 @@
         The index.
     @return
-        Returns a pointer to the QuestHint at the given index. NULL if there is no element at the given index.
+        Returns a pointer to the QuestHint at the given index. nullptr if there is no element at the given index.
     */
     const QuestHint* Quest::getHint(unsigned int index) const
@@ -221,5 +221,5 @@
             i--;
         }
-        return NULL; // If the index is greater than the number of elements in the list.
+        return nullptr; // If the index is greater than the number of elements in the list.
     }
 
@@ -230,5 +230,5 @@
         The index.
     @return
-        Returns a pointer to the fail QuestEffect at the given index. NULL if there is no element at the given index.
+        Returns a pointer to the fail QuestEffect at the given index. nullptr if there is no element at the given index.
     */
     const QuestEffect* Quest::getFailEffect(unsigned int index) const
@@ -244,5 +244,5 @@
             i--;
         }
-        return NULL; // If the index is greater than the number of elements in the list.
+        return nullptr; // If the index is greater than the number of elements in the list.
     }
 
@@ -253,5 +253,5 @@
         The index.
     @return
-        Returns a pointer to the complete QuestEffect at the given index. NULL if there is no element at the given index.
+        Returns a pointer to the complete QuestEffect at the given index. nullptr if there is no element at the given index.
     */
     const QuestEffect* Quest::getCompleteEffect(unsigned int index) const
@@ -267,5 +267,5 @@
             i--;
         }
-        return NULL; // If the index is greater than the number of elements in the list.
+        return nullptr; // If the index is greater than the number of elements in the list.
     }
 
@@ -280,5 +280,5 @@
     bool Quest::isInactive(const PlayerInfo* player) const
     {
-        if(player == NULL)
+        if(player == nullptr)
             return true;
         return this->getStatus(player) == QuestStatus::Inactive;
@@ -295,5 +295,5 @@
     bool Quest::isActive(const PlayerInfo* player) const
     {
-        if(player == NULL)
+        if(player == nullptr)
             return false;
         return this->getStatus(player) == QuestStatus::Active;
@@ -310,5 +310,5 @@
     bool Quest::isFailed(const PlayerInfo* player) const
     {
-        if(player == NULL)
+        if(player == nullptr)
             return false;
         return this->getStatus(player) == QuestStatus::Failed;
@@ -325,5 +325,5 @@
     bool Quest::isCompleted(const PlayerInfo* player) const
     {
-        if(player == NULL)
+        if(player == nullptr)
             return false;
         return this->getStatus(player) == QuestStatus::Completed;
Index: /code/branches/cpp11_v2/src/modules/questsystem/QuestEffectBeacon.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/QuestEffectBeacon.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/questsystem/QuestEffectBeacon.cc	(revision 10765)
@@ -113,8 +113,8 @@
 
         PlayerTrigger* pTrigger = orxonox_cast<PlayerTrigger*>(trigger);
-        PlayerInfo* player = NULL;
+        PlayerInfo* player = nullptr;
 
         // If the trigger is a PlayerTrigger.
-        if(pTrigger != NULL)
+        if(pTrigger != nullptr)
         {
             if(!pTrigger->isForPlayer())  // The PlayerTrigger is not exclusively for Pawns which means we cannot extract one.
@@ -126,5 +126,5 @@
             return false;
 
-        if(player == NULL)
+        if(player == nullptr)
         {
             orxout(verbose, context::quests) << "The QuestEffectBeacon was triggered by an entity other than a Pawn. (" << trigger->getIdentifier()->getName() << ")" << endl;
@@ -243,5 +243,5 @@
             i--;
         }
-        return NULL;
+        return nullptr;
     }
 
Index: /code/branches/cpp11_v2/src/modules/questsystem/QuestHint.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/QuestHint.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/questsystem/QuestHint.cc	(revision 10765)
@@ -88,5 +88,5 @@
     bool QuestHint::isActive(const PlayerInfo* player) const
     {
-        if(player == NULL) // If the player is NULL, the Quest obviously can't be active.
+        if(player == nullptr) // If the player is nullptr, the Quest obviously can't be active.
             return false;
 
Index: /code/branches/cpp11_v2/src/modules/questsystem/QuestListener.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/QuestListener.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/questsystem/QuestListener.cc	(revision 10765)
@@ -59,5 +59,5 @@
 
         this->mode_ = QuestListenerMode::All;
-        this->quest_ = NULL;
+        this->quest_ = nullptr;
     }
 
@@ -81,5 +81,5 @@
         XMLPortParam(QuestListener, "mode", setMode, getMode, xmlelement, mode);
 
-        if(this->quest_ != NULL)
+        if(this->quest_ != nullptr)
             this->quest_->addListener(this); // Adds the QuestListener to the Quests list of listeners.
 
@@ -117,5 +117,5 @@
         this->quest_ = QuestManager::getInstance().findQuest(id); // Find the Quest corresponding to the given questId.
 
-        if(this->quest_ == NULL) // If there is no such Quest.
+        if(this->quest_ == nullptr) // If there is no such Quest.
         {
             ThrowException(Argument, "This is bad! The QuestListener has not found a Quest with a corresponding id..");
Index: /code/branches/cpp11_v2/src/modules/questsystem/QuestManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/QuestManager.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/questsystem/QuestManager.cc	(revision 10765)
@@ -93,7 +93,7 @@
     bool QuestManager::registerQuest(Quest* quest)
     {
-        if(quest == NULL)
-        {
-            orxout(internal_error, context::quests) << "Quest pointer is NULL." << endl;
+        if(quest == nullptr)
+        {
+            orxout(internal_error, context::quests) << "Quest pointer is nullptr." << endl;
             return false;
         }
@@ -135,7 +135,7 @@
     bool QuestManager::registerHint(QuestHint* hint)
     {
-        if(hint == NULL)
-        {
-            orxout(internal_error, context::quests) << "Quest pointer is NULL." << endl;
+        if(hint == nullptr)
+        {
+            orxout(internal_error, context::quests) << "Quest pointer is nullptr." << endl;
             return false;
         }
@@ -173,5 +173,5 @@
     @return
         Returns a pointer to the Quest with the input id.
-        Returns NULL if there is no Quest with the given questId.
+        Returns nullptr if there is no Quest with the given questId.
     @throws
         Throws an exception if the given questId is invalid.
@@ -188,5 +188,5 @@
         else
         {
-           quest = NULL;
+           quest = nullptr;
            orxout(internal_warning, context::quests) << "The quest with id {" << questId << "} is nowhere to be found." << endl;
         }
@@ -202,5 +202,5 @@
     @return
         Returns a pointer to the QuestHint with the input id.
-        Returns NULL if there is no QuestHint with the given hintId.
+        Returns nullptr if there is no QuestHint with the given hintId.
     @throws
         Throws an exception if the given hintId is invalid.
@@ -217,5 +217,5 @@
         else
         {
-           hint = NULL;
+           hint = nullptr;
            orxout(internal_warning, context::quests) << "The hint with id {" << hintId << "} is nowhere to be found." << endl;
         }
@@ -237,5 +237,5 @@
         for(std::map<std::string, Quest*>::iterator it = this->questMap_.begin(); it != this->questMap_.end(); it++)
         {
-            if(it->second->getParentQuest() == NULL && !it->second->isInactive(player))
+            if(it->second->getParentQuest() == nullptr && !it->second->isInactive(player))
                 numQuests++;
         }
@@ -257,8 +257,8 @@
         for(std::map<std::string, Quest*>::iterator it = this->questMap_.begin(); it != this->questMap_.end(); it++)
         {
-            if(it->second->getParentQuest() == NULL && !it->second->isInactive(player) && index-- == 0)
+            if(it->second->getParentQuest() == nullptr && !it->second->isInactive(player) && index-- == 0)
                 return it->second;
         }
-        return NULL;
+        return nullptr;
     }
 
@@ -275,5 +275,5 @@
     int QuestManager::getNumSubQuests(Quest* quest, PlayerInfo* player)
     {
-        if(quest == NULL)
+        if(quest == nullptr)
             return this->getNumRootQuests(player);
 
@@ -300,5 +300,5 @@
     Quest* QuestManager::getSubQuest(Quest* quest, PlayerInfo* player, int index)
     {
-        if(quest == NULL)
+        if(quest == nullptr)
             return this->getRootQuest(player, index);
 
@@ -309,5 +309,5 @@
                 return *it;
         }
-        return NULL;
+        return nullptr;
     }
 
@@ -354,5 +354,5 @@
                 return *it;
         }
-        return NULL;
+        return nullptr;
     }
 
@@ -367,5 +367,5 @@
     Quest* QuestManager::getParentQuest(Quest* quest)
     {
-        OrxAssert(quest, "The input Quest is NULL.");
+        OrxAssert(quest, "The input Quest is nullptr.");
         return quest->getParentQuest();
     }
@@ -381,5 +381,5 @@
     QuestDescription* QuestManager::getDescription(Quest* item)
     {
-        OrxAssert(item, "The input Quest is NULL.");
+        OrxAssert(item, "The input Quest is nullptr.");
         return item->getDescription();
     }
@@ -395,5 +395,5 @@
     QuestDescription* QuestManager::getDescription(QuestHint* item)
     {
-        OrxAssert(item, "The input QuestHint is NULL.");
+        OrxAssert(item, "The input QuestHint is nullptr.");
         return item->getDescription();
     }
@@ -409,5 +409,5 @@
     const std::string QuestManager::getId(Quest* item) const
     {
-        OrxAssert(item, "The input Quest is NULL.");
+        OrxAssert(item, "The input Quest is nullptr.");
         return item->getId();
     }
@@ -423,5 +423,5 @@
     const std::string QuestManager::getId(QuestHint* item) const
     {
-        OrxAssert(item, "The input QuestHint is NULL.");
+        OrxAssert(item, "The input QuestHint is nullptr.");
         return item->getId();
     }
@@ -440,8 +440,8 @@
     {
         PlayerInfo* player = GUIManager::getInstance().getPlayer(guiName);
-        if(player == NULL)
+        if(player == nullptr)
         {
             orxout(internal_error, context::quests) << "GUIOverlay with name '" << guiName << "' has no player." << endl;
-            return NULL;
+            return nullptr;
         }
 
Index: /code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuest.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuest.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuest.cc	(revision 10765)
@@ -90,5 +90,5 @@
         {
             Quest* quest = QuestManager::getInstance().findQuest(this->getQuestId());
-            if(quest == NULL || !quest->start(player))
+            if(quest == nullptr || !quest->start(player))
                return false;
         }
Index: /code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuestHint.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuestHint.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuestHint.cc	(revision 10765)
@@ -113,5 +113,5 @@
         {
             QuestHint* hint = QuestManager::getInstance().findHint(this->hintId_);
-            if(hint == NULL || !hint->setActive(player))
+            if(hint == nullptr || !hint->setActive(player))
                 return false;
         }
Index: /code/branches/cpp11_v2/src/modules/questsystem/effects/AddReward.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/effects/AddReward.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/questsystem/effects/AddReward.cc	(revision 10765)
@@ -90,5 +90,5 @@
             i--;
         }
-        return NULL;
+        return nullptr;
     }
 
Index: /code/branches/cpp11_v2/src/modules/questsystem/effects/CompleteQuest.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/effects/CompleteQuest.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/questsystem/effects/CompleteQuest.cc	(revision 10765)
@@ -92,5 +92,5 @@
         {
             quest = QuestManager::getInstance().findQuest(this->getQuestId());
-            if(quest == NULL || !quest->complete(player))
+            if(quest == nullptr || !quest->complete(player))
                return false;
         }
Index: /code/branches/cpp11_v2/src/modules/questsystem/effects/FailQuest.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/effects/FailQuest.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/questsystem/effects/FailQuest.cc	(revision 10765)
@@ -91,5 +91,5 @@
         {
             quest = QuestManager::getInstance().findQuest(this->getQuestId());
-            if(quest == NULL || !quest->fail(player))
+            if(quest == nullptr || !quest->fail(player))
                return false;
         }
Index: /code/branches/cpp11_v2/src/modules/tetris/Tetris.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/tetris/Tetris.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/tetris/Tetris.cc	(revision 10765)
@@ -72,5 +72,5 @@
         this->starttimer_.stopTimer();
 
-        this->player_ = NULL;
+        this->player_ = nullptr;
         this->setHUDTemplate("TetrisHUD");
         this->futureBrick_ = 0;
@@ -113,5 +113,5 @@
         SUPER(Tetris, tick, dt);
 
-        if((this->activeBrick_ != NULL)&&(!this->hasEnded()))
+        if((this->activeBrick_ != nullptr)&&(!this->hasEnded()))
         {
             if(!this->isValidBrickPosition(this->activeBrick_))
@@ -290,5 +290,5 @@
     void Tetris::start()
     {
-        if (this->center_ != NULL) // There needs to be a TetrisCenterpoint, i.e. the area the game takes place.
+        if (this->center_ != nullptr) // There needs to be a TetrisCenterpoint, i.e. the area the game takes place.
         {
             // Create the first brick.
@@ -323,5 +323,5 @@
     {
         this->activeBrick_->setVelocity(Vector3::ZERO);
-        if(this->activeBrick_ != NULL)
+        if(this->activeBrick_ != nullptr)
         {
             this->player_->stopControl();
@@ -351,5 +351,5 @@
         if(player && player->isHumanPlayer())
         {
-            if(this->activeBrick_ != NULL)
+            if(this->activeBrick_ != nullptr)
             {
                 this->player_->stopControl();
@@ -370,5 +370,5 @@
         assert(player);
 
-        if(this->player_ == NULL)
+        if(this->player_ == nullptr)
         {
             this->player_ = player;
@@ -381,9 +381,9 @@
     void Tetris::startBrick(void)
     {
-        if(this->player_ == NULL)
+        if(this->player_ == nullptr)
             return;
 
         unsigned int cameraIndex = 0;
-        if(this->activeBrick_ != NULL)
+        if(this->activeBrick_ != nullptr)
         {
             // Get camera settings
@@ -437,5 +437,5 @@
         Get the player.
     @return
-        Returns a pointer to the player. If there is no player, NULL is returned.
+        Returns a pointer to the player. If there is no player, nullptr is returned.
     */
     PlayerInfo* Tetris::getPlayer(void) const
Index: /code/branches/cpp11_v2/src/modules/tetris/TetrisBrick.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/tetris/TetrisBrick.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/tetris/TetrisBrick.cc	(revision 10765)
@@ -81,14 +81,14 @@
             this->attach(stone);
             this->formBrick(stone, i);
-            if(this->tetris_ != NULL)
+            if(this->tetris_ != nullptr)
             {
                 stone->setGame(this->tetris_);
-                if(this->tetris_->getCenterpoint() != NULL)
+                if(this->tetris_->getCenterpoint() != nullptr)
                     stone->addTemplate(this->tetris_->getCenterpoint()->getStoneTemplate());
                 else
-                    orxout()<< "tetris_->getCenterpoint == NULL in TetrisBrick.cc"<< endl;
+                    orxout()<< "tetris_->getCenterpoint == nullptr in TetrisBrick.cc"<< endl;
             }
             else
-                orxout()<< "tetris_ == NULL in TetrisBrick.cc"<< endl;
+                orxout()<< "tetris_ == nullptr in TetrisBrick.cc"<< endl;
         }
     }
@@ -161,5 +161,5 @@
         if(i < this->brickStones_.size())
             return this->brickStones_[i];
-        else return NULL;
+        else return nullptr;
     }
 
@@ -167,10 +167,10 @@
     Tetris* TetrisBrick::getTetris()
     {
-        if (this->getGametype() != NULL && this->getGametype()->isA(Class(Tetris)))
+        if (this->getGametype() != nullptr && this->getGametype()->isA(Class(Tetris)))
         {
             Tetris* tetrisGametype = orxonox_cast<Tetris*>(this->getGametype());
             return tetrisGametype;
         }
-        return NULL;
+        return nullptr;
     }
 
